Bug 461391 - Image List report fails to load
Summary: Image List report fails to load
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.4.4
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-04 01:18 UTC by Robby Stephenson
Modified: 2022-11-06 01:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robby Stephenson 2022-11-04 01:18:04 UTC
As reported on the mailing list, the Image List template fails to load
https://mail.kde.org/pipermail/tellico-users/2022-August/001769.html

The report is a somewhat large file for 1000+ entries.

On investigation, seems to be hitting the 2MB limit int he QWebEngineView::setHtml()
Comment 1 Robby Stephenson 2022-11-06 00:59:48 UTC
Git commit 0a2972f61a03283b0db4d37474e5ec3c792a3d7f by Robby Stephenson.
Committed on 06/11/2022 at 00:59.
Pushed by rstephenson into branch '3.4'.

Use a temporary file for large reports to avoid QWebEngine limit

QWebEngine::load is limited to 2MB, which when encoded and otherwise
processed, seems to be as low as 1,200,000 "characters" in a QString.

For large file, write to a temporary file before loading. This does not
take care of any relative links in the HTML, which will need further
work.
FIXED-IN: 3.4.5

M  +4    -0    ChangeLog
M  +20   -2    src/reportdialog.cpp
M  +2    -0    src/reportdialog.h

https://invent.kde.org/office/tellico/commit/0a2972f61a03283b0db4d37474e5ec3c792a3d7f
Comment 2 Robby Stephenson 2022-11-06 01:00:00 UTC
Git commit 9894bf2752d2584fdd4a61b52d0a738ba902dbf1 by Robby Stephenson.
Committed on 06/11/2022 at 00:55.
Pushed by rstephenson into branch 'master'.

Use a temporary file for large reports to avoid QWebEngine limit

QWebEngine::load is limited to 2MB, which when encoded and otherwise
processed, seems to be as low as 1,200,000 "characters" in a QString.

For large file, write to a temporary file before loading. This does not
take care of any relative links in the HTML, which will need further
work.
FIXED-IN: 3.4.5

M  +4    -0    ChangeLog
M  +20   -2    src/reportdialog.cpp
M  +2    -0    src/reportdialog.h

https://invent.kde.org/office/tellico/commit/9894bf2752d2584fdd4a61b52d0a738ba902dbf1